Package org.apache.torque.avalon

# Class AvalonTest

java.lang.Object
org.apache.fulcrum.testcontainer.BaseUnit5Test
org.apache.torque.avalon.AvalonTest

public class AvalonTest extends org.apache.fulcrum.testcontainer.BaseUnit5Test
Basic testing of the Torque Avalon Component

Version:
  $Id: AvalonTest.java 1850726 2019-01-08 10:56:07Z gk $
Author:
  Thomas Vandahl

- ## Field Summary

  ### Fields inherited from class org.apache.fulcrum.testcontainer.BaseUnit5Test

  `attributes, COMPONENT_APP_ROOT, CONTAINER_ECM, CONTAINER_YAAFI, defaultLogLevel, maxInactiveInterval`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AvalonTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setUp()`
  `void`
  `testAvalonTorqueInitialized()`
  Verifies that the container initialization and lookup works properly.
  `void`
  `testAvalonTorqueNotInitialized()`
  Verifies that the container initialization and lookup works properly.

  ### Methods inherited from class org.apache.fulcrum.testcontainer.BaseUnit5Test

  `getConfigurationFileName, getContainerType, getLogLevel, getMockRequest, getParameterFileName, getRoleFileName, lookup, release, setConfigurationFileName, setContainerType, setLogLevel, setRoleFileName, tearDown`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AvalonTest

    public AvalonTest()

- ## Method Details

  - ### setUp

    @BeforeEach public void setUp() throws Exception
    Throws:
      `Exception`

  - ### testAvalonTorqueNotInitialized

    @Test public void testAvalonTorqueNotInitialized() throws Exception
    Verifies that the container initialization and lookup works properly.
    Throws:
      `Exception`

  - ### testAvalonTorqueInitialized

    @Test public void testAvalonTorqueInitialized() throws Exception
    Verifies that the container initialization and lookup works properly.
    Throws:
      `Exception`